> ## Documentation Index
> Fetch the complete documentation index at: https://api.lancepilot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Roles

> Retrieve all roles for the specified workspace.



## OpenAPI

````yaml GET /workspaces/{workspace}/roles
openapi: 3.1.0
info:
  title: Lancepilot API
  description: API for Lancepilot
  version: 1.0.0
  license:
    name: MIT
servers:
  - url: https://lancepilot.com/api/v3
security:
  - bearerAuth: []
paths:
  /workspaces/{workspace}/roles:
    get:
      tags:
        - Roles
      summary: Get Roles
      description: Retrieve all roles for the specified workspace.
      parameters:
        - name: workspace
          in: path
          description: ID of the workspace.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          $ref: '#/components/responses/Paginate200'
        '401':
          $ref: '#/components/responses/401'
components:
  responses:
    '401':
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthenticated.
            required:
              - message
    Paginate200:
      description: ''
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Paginate'
  schemas:
    Paginate:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties: {}
        links:
          type: object
          properties: {}
        meta:
          type: object
          properties:
            current_page:
              type: integer
              example: 1
            per_page:
              type: integer
              example: 10
            total:
              type: integer
              example: 100
            last_page:
              type: integer
              example: 10
            from:
              type: integer
              example: 1
            to:
              type: integer
              example: 10
      required:
        - data
        - meta
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````